Detailed System Requirements for the Jazz Team Server 2.0.x server environment

Product documentation


Abstract

This document serves to summarize the system requirements for Jazz Team Server version 2.0.x server environments.

Content

For information about the client hardware and software compatibility, see the following links:

Rational Team Concert 2.0.x client for Eclipse IDE Rational Team Concert 2.0.x client for Microsoft Visual Studio





GLOSSARY:

Hardware: The Hardware on which the product is supported.

Operating System: The operating system on which the product is supported.

Revision: Operating System Patch or Service Release or selected Version with which the product is supported.

RFE: Request for Enhancement. A change request focused on support for the platform or operating system.

VRMF: VRMF is the product release numbering format that is being implemented throughout the IBM and the Rational product lines. Review education document 7008656 for a explanation of the VRMF - Maintenance Delivery Vehicle (MDV) terminology used by IBM Rational products.



Minimum Hardware Requirements
Rational Team Concert 2.0.x
Component
Minimum Requirement (x86)
Processor
Intel Pentium Xeon (32 or 64-bit)(minimum); Intel Dual core Xeon (32 or 64-bit) (recommended)
Display
1024 x 768 minimum resolution
Memory
2 GB minimum, 4 GB recommended
Disk space
1 GB minimum
Other
100/1000 mbps wired connectivity
Minimum Requirement (Solaris)
OS
Solaris 10 64-bit
Model
SunFire V440 (minimum); SunFire T1000 (recommended for 150+ users)
CPU
Dual Processor sparcv9 processor 1.5 GHZ (minimum); Sun UltraSPARC-T1 8-core @ 1 GHZ (recommended for 150+ users)
Memory
4 GB (minimum); 8 GB (recommended for 150+ users)
For details on specific hardware recommendations for larger deployments, refer to the published documentation on jazz.net and developerWorks.


Linux
Rational Team Concert 2.0.x
Hardware
Operating System
OS Requirements
Revision
Comments
Desktop
Red Hat Enterprise
5.0 Updates

1, 2, 3

SUSE Enterprise
10.0 SP2

AIX
Rational Team Concert 2.0.x
Hardware
Operating System
OS Requirements
Revision
Comments
i/p
AIX
5.3
TL7
Supported for p-Series only
Rational Team Concert Express-C edition not supported


Sun Solaris
Rational Team Concert 2.0.x
Hardware
Operating System
OS Requirements
Revision
Comments
SPARC
Solaris
10
64-bit only
Requires Rational Team Concert 2.0.0.1 or higher
Rational Team Concert Express-C edition not supported


Microsoft Windows Servers
Rational Team Concert 2.0.x
Hardware
Operating System
OS Requirements
Revision
Comments
Windows Server 2003

Standard and Enterprise Editions
SP1, SP2
Windows Server 2008

Standard and Enterprise Editions
SP2
SP1 not supported
Windows Server 2008 R2
Standard and Enterprise editions x86-64
Application server support limited to the bundled version of Tomcat and WebSphere Application Server 7.0.0.7.

Database support limited to the bundled version of Derby, DB2 9.7, and SQL Server 2008.

To use other DB2 versions, such as 9.5 or 9.1 with your Jazz Team Server on Windows Server 2008 R2, you must install the DB2 database on a non-Windows Server 2008 R2 machine.


Java SE Runtime Environments
Rational Team Concert 2.0.x
JRE
Version
Revision
Comments
IBM Java SDK (integrated bundle)
5.0
Service Release 9 plus iFixes for APAR PK85942
Included with Rational Team Concert 2.0 and 2.0.0.1
IBM Java SDK (integrated bundle)
5.0
Service Release 11
Included with Rational Team Concert 2.0.0.2
IBM Java SDK (non-integrated bundle)
6.0
Service Release 4 plus iFixes for APAR PK86771
Included with packaging, See technote 1391789 for details
IBM Java SDK (non-integrated bundle)
6.0
Service Release 6
Rational Team Concert 2.0.0.2 for Windows 7 and 2008 Server R2
Sun JRE
1.5
Update 16
See technote 1320022 for details on enablement
Sun JRE
1.6
Update 14
Rational Team Concert 2.0.0.1 (Windows 7 only)
Sun JRE
1.6
Update 17
Rational Team Concert 2.0.0.2 (all platforms)

Note: The Sun JRE is not supported with WebSphere Application Server. With WAS, it is required to have the corresponding WAS 6.1 (Java 5) i-fix PK85942 or the WAS 7.0 (Java 6) i-fix PK86771 installed.

For Rational Team Concert v2.0.0.2 you should use WebSphere Application Server 7.0.0.7 which includes the Java 6.0 SR 6.

The IBM Java SDK 6.0 Service Release 4 plus iFixes for APAR PK86771 for both Tomcat and WebSphere Application Sever configurations can be downloaded from this URL:
https://jazz.net/downloads/IBM-JRE/releases/1.6SR4-PK86771


Eclipse Components
Rational Team Concert 2.0.x
Eclipse Component
Version
Comments
IBM Eclipse SDK (IES)
3.4.2
Rational Team Concert 2.0 and 2.0.0.1

Remember: Ensure that your Eclipse environment includes plug-in development environment (PDE) features.


Web Browsers
Rational Team Concert 2.0.x
Web Browser
Version
Comments
3.0, 3.5, and 3.6
Firefox 3.5 requires Rational Team Concert 2.0.0.1 or higher
7.0 and 8.0
Internet Explorer 8.0 requires Rational Team Concert 2.0.0.1 or higher


Supported Application Servers
Rational Team Concert 2.0.x
Web Server
Version
Comments
Apache Tomcat
5.5.23
Bundled with Jazz Team Server
IBM WebSphere Application Server
6.1.0.23
Requires iFixes for APAR PK85942. To obtain this see technote 1391790.
IBM WebSphere Application Server
7.0.0.7 and later

Restriction: Rational Team Concert Express-C Edition only supports Apache Tomcat.

Restriction: The Jazz Team Server does not utilize cluster support in WebSphere Application Server Network Development and works only in stand-alone mode.


Identity Management Systems

The following LDAP servers for identity management are supported:
Rational Team Concert 2.0.x
LDAP server
Version
Comments
IBM Tivoli Directory Server
6.0
Microsoft Active Directory
2003 R2

Supported Databases
Rational Team Concert 2.0.x
Database Product
Version
Revision
Express-C
Express
Standard
Enterprise
Comments
Apache Derby
10.3
X
X
X
X
Included with Jazz Team Server
IBM DB2 Express-C *
9.7
X
X
X
X
Windows and Linux only
IBM DB2 Enterprise Server Edition *
9.7
X
X
X
Requires Rational Team Concert 2.0.0.2
Linux 32-bit not supported
IBM DB2 Workgroup Server Edition *
9.7
X
X
X
Requires Rational Team Concert 2.0.0.2
IBM DB2 Enterprise Server Edition *
9.5
Fix Pack 3a
X
X
X
Linux 32-bit not supported
IBM DB2 Workgroup Server Edition *
9.5
Fix Pack 3a
X
X
X
Included with Jazz Team Server
IBM DB2 Express Edition *
9.5
Fix Pack 3a
X
X
X
Windows and Linux only
IBM DB2 Enterprise Server Edition *
9.1
Fix Pack 4
X
X
X
IBM DB2 Workgroup Server Edition *
9.1
Fix Pack 4
X
X
X
Microsoft SQL Server Express
2008
X
Requires Rational Team Concert 2.0.0.1 or higher for Express-C edition only
Microsoft SQL Server Express
2005
SP2, SP3
X
Requires Rational Team Concert 2.0.0.1 or higher for Express-C edition only
Microsoft SQL Server
2008
X
X
X
Supported for both 32-bit and 64-bit
Microsoft SQL Server
2005
SP2, SP3
X
X
X
Supported for both 32-bit and 64-bit
Oracle 10g Enterprise Edition
Release 2
X
X
X
X
Requires Rational Team Concert 2.0.0.1 or higher for Express-C edition
Oracle 10g Standard Edition
Release 2
X
X
X
X
Requires Rational Team Concert 2.0.0.1 or higher for Express-C edition

* Note for IBM DB2 databases: If the IBM DB2 database for Jazz/Rational Team Concert is installed on Microsoft Windows 2008 Server Release 2, then it must be DB2 9.7 (regardless where the application server is installed).


HTTP proxy support (non-secure)
Rational Team Concert 2.0.x
HTTP proxy
Version
Comments
Apache Server
2.2.9 and 2.2.10
SUSE Linux Enterprise Server (SLES) 10.0
Red Hat Enterprise Linux 5.0
IBM HTTP Server
7.0 Fixpack 9
IBM HTTP Server
6.1 Fixpack 27
Squid
3.0


Connectors
Rational Team Concert 2.0.x
Connector
Version
Comments
IBM Rational ClearCase for Mulit-platform
7.x
Standard and Enterprise editions only
Rational Team Concert 2.0.0.2 (ClearCase 7.1.1)
IBM Rational ClearQuest for Mulitplatform
7.x
Standard and Enterprise editions only
Rational Team Concert 2.0.0.2 (ClearQuest 7.1.1)
IBM Rational ClearCase
7.x
Standard and Enterprise editions only
Rational Team Concert 2.0.0.2 (ClearCase7.1.1)
IBM Rational ClearQuest
7.x
Standard and Enterprise editions only
Rational Team Concert 2.0.0.2 (ClearQuest 7.1.1)


Bridges
Rational Team Concert 2.0.x
Bridge
Version
Comments
IBM Rational ClearQuest
7.1
Supported in Rational Team Concert
Standard and Enterprise Editions only
IBM Rational ClearCase Remote Client
7.1.0.2
Supported in Rational Team Concert
Standard and Enterprise Editions only
Subversion
1.4.6
Git
1.6.4.2

VMWare
Rational Team Concert 2.0.x
VMWare
Version
Comments
ESX VMWare Server
3.5
Supported in Rational Team Concert
Standard and Enterprise Editions only

The ESX platform is Linux based and requires x86 based servers, therefore the ESX servers are predominantly IBM xSeries class machines.

The Vi3 infrastructure is composed of several major components. The two primary components are the virtual infrastructure services and the ESX servers themselves. The virtual infrastructure services are composed of the Virtual Infrastructure Server (VIS), a FlexLM license manager, and database server. The VIS communicates with the ESX servers and the Virtual Infrastructure Client (VIC). It also maintains information about the whole VI using a database backend. The ESX servers provide the platform for running the VMs and communicate server and VM status to the VIS.

Caution: For best performance, we recommend installing the database on a physical server machine, not a virtual system such as VMWare.


Supported 3rd Party Integrations
Rational Team Concert 2.0.x
Vendor
Product
Revision
Comments
Jabber
Openfire
3.4.1
The client connects to an XMPP server for chat using the XMPP (Jabber) protocol

Note: If the application is not listed in the above table, contact the 3rd party provider for support.


FDCC compliance

The Federal Desktop Core Configuration (FDCC) is a security configuration mandated by the Office of Management and Budget (OMB) to standardize the configuration of desktop computers used by U.S. Government agencies. The desktop components of Rational Team Concert have been tested to verify compliance with the FDCC under Microsoft Windows XP and Microsoft Windows Vista. There is one exception to this as follows:

Any work item statistics viewlet included in a web dashboard will not be viewable without installing the Adobe Flash player remotely through Internet Explorer. Installation of the Flash player will not be possible with the Internet Explorer security settings required by FDCC. To avoid this problem, the work item statistics viewlet can be configured to display its data in the table format instead of in the graph format.


FIPS-140-2 certification

Rational Team Concert uses the FIPS 140-2 approved cryptographic provider(s); IBMJCEFIPS (certificate 376) and/or IBMJSSEFIPS (certificate 409) and/or IBM Cryptography for C (ICC) (certificate 384) for cryptography. The certificates are listed on the NIST web site. There are two exceptions to this as follows:
  1. You import from a Subversion repository and in doing so, connect to a Subversion server using SVN+SSH authentication.
  2. You install a Subversion client for Eclipse into the Eclipse instance that supports Rational Team Concert, in order to link Subversion revisions to work items and in doing so, you connect to a Subversion server using SVN+SSH authentication.



Rate this page:

(0 users)Average rating

Document information


More support for:

Rational Team Concert
General Information

Software version:

2.0, 2.0.0.1, 2.0.0.2

Operating system(s):

AIX, Linux, Solaris, Windows

Software edition:

Enterprise, Express, Express-C, Standard

Reference #:

7015746

Modified date:

2011-01-26

Translate my page

Machine Translation

Content navigation